module prm
  implicit none

 !-- $B6u4V2rA|EY$N@_Dj(B ----
  integer    , parameter :: im    = 31                ! $B3J;RE@$N@_Dj(B(x)
  integer    , parameter :: km    = 10                ! $B3J;RE@$N@_Dj(B(z)
  real(8)    , parameter :: dx    = 50.D+3             ! 1 $B3J;RE@4V3V(B


 !-- $BJ*M}%Q%i%a!<%?(B ------
  real(8)    , parameter :: rho   = 910.0D0              ! $BI9$NL)EY(B kg/m^{-3}
  real(8)    , parameter :: g     = 9.80065D0           ! $B=ENO2CB.EY(B m/s^{-2}
  real(8)    , parameter :: s_a   = 60.0D0 * 60.D0 * 24.D0 * 365.D0 ! second/year
  real(8)    , parameter :: gamma = 42.D-3            ! $BCO3LG.N.NL(B W/m^{-2}
  real(8)    , parameter :: c_p   = 2009.0D0          ! $BHfG.(B J kg^{-1} K^{-1}
  real(8)    , parameter :: k_ice = 2.1D0             ! $BG.EAF3EY(B W m^{-1}K^{-1}
  real(8)    , parameter :: R     = 8.31480D0         ! $B5$BNDj?t(B J/(mol K)

   !-- $BCM$rJQ$($kM=Dj$N%Q%i%a!<%?(B 
  real(8)    , parameter :: n     = 4.0D0             ! Flow law $B$N6R(B 
  !  T = 273 K(n = 3)

!n = 3
!  real(8)    , parameter :: A     = 1.D-16 / s_a      ! Flow law $B$N78?t(B
! n = 2 $B$N$H$-(B
!  real(8)    , parameter ::  A     = 3.17D-19
! n = 4
  real(8)    , parameter ::  A     = 3.17D-29


  ! T = 263 K n =3 $B$N$H$-$NCM(B
!  real(8)    , parameter :: A     = 4.375D-25        ! Flow law $B$N78?t(B
!   n = 2
!  real(8)     , parameter :: A     = 4.375D-20
!   n = 4
!   real(8)    , parameter ::  A     = 4.375D-30


  real(8)    , parameter :: hmax  = 3000.0D0          ! $B=i4|9bEY(B m    
  real(8)    , parameter :: T_s   = 210.0D0           ! $BI=LL29EY(B($BBg5$29EY(B) K



 !-- $B;~4V@QJ,%Q%i%a!<%?(B ---
!  real(8)    , parameter :: dt    = s_a *1.D+3         ! 10^5 $BG/(B(n =2)
  real(8)     , parameter :: dt    = s_a/12.D0          !n = 4 $B$N$H$-(B
!  real(8)     , parameter :: dt    = s_a          ! 1 $BG/(B(n = 3)
!   real(8)    , parameter  :: dt    = 60.D0            ! 1 $BJ,(B(n = 4)
!  integer     , parameter :: nt    = 20                ! $B@QJ,;~4V(B
!  integer    , parameter :: ndisp = 100                ! $BI=<((B step
!  integer    , parameter :: nstep =  nt/ndisp

end module prm




