!=====================================================================
! ͭѿνΥ⥸塼
! 2002/01/20
!=====================================================================
module common_variable_4
  use prm_4
  implicit none
  real , save :: x(0:im-1)              ! x ɸ
  real , save :: zk(0:km)               ! ƺɸ
  real , save :: h_init(0:im-1)         ! ɹν
  real , save :: T_init(0:im-1, 0:km)   ! ɹνʬ

  real , save :: delta_zk_j(0:km)       ! j
  real , save :: delta_zk_j1_2(0:km-1)  ! j+1/2
  real , save :: alpha(1:km)                ! ٤μǻѤַ 1
  real , save :: beta(0:km-1)                 ! ٤μǻѤַ 1




contains

!=====================================================================
! ɹ
!=====================================================================
  subroutine get_h_init(h_init)
    real , intent(out)  :: h_init(0:im-1)
    integer , parameter  :: x_s = 12               ! ɹ¦
    ! ͤ
    ! ɹ

    h_init(0:x_s-1) = hmax                                
    h_init(x_s:im-1) = 0. 


    !open(10, file='h-init2.dat')
    !read(10, *) h_init
    close(10)

  end subroutine get_h_init


!=====================================================================
! ʬۤ
! ǮƳ
!=====================================================================
  subroutine get_T_init(T_init)
    real  , intent(out)  :: T_init(0:im-1, 0:km)    ! ɹνʬ
    integer                 :: i,j                     ! do ѿ

    do i = 0, im-1
       do j = 0, km
          T_init(i, j) = T_s + gamma /k_ice * h_init(i) * (1 - zk(j))
       end do
    end do


  end subroutine get_T_init

!=====================================================================
! ɸ
!=====================================================================
  subroutine get_frame(x, zk)
    real , intent(out)  :: x(0:im-1)
    real , intent(out)  :: zk(0:km)
    integer             :: i             ! do ѿ

    x  = (/(i, i=0, im-1)/) * dx

! 10 
    zk = (/0.0, 0.02, 0.05, 0.10, 0.17, 0.25,0.40, 0.55, 0.70, 0.85, 1.0/)

! 20 
!    zk = (/0.0, 0.01, 0.02, 0.03, 0.05, 0.07, 0.10, 0.13, 0.17, 0.20, 0.25, &
!         & 0.32, 0.40, 0.47, 0.55, 0.63, 0.70, 0.77, 0.85, 0.93, 1.0/)

! 40 
!    zk = (/0.0, 0.005, 0.01, 0.015, 0.02, 0.025, 0.03, 0.04, 0.05, 0.06, &
!         & 0.07, 0.085, 0.10, 0.115, 0.13, 0.15, 0.17, 0.18, 0.20, 0.22, &
!         & 0.25, 0.28, 0.32, 0.36, 0.40, 0.43, 0.47, 0.52, 0.55, 0.58,  &
!         & 0.63, 0.67, 0.70, 0.73, 0.77, 0.80, 0.85, 0.89, 0.93, 0.96, 1.0/)
  end subroutine get_frame

!=====================================================================
! ƺɸ˴ؤѿã
! ʻҴֳ֤
! ַ
!=====================================================================

  subroutine get_zeta_hensu(delta_zk_j, delta_zk_j1_2, alpha, beta)
    real , intent(out)  :: delta_zk_j(0:km)
    real , intent(out)  :: delta_zk_j1_2(0:km-1)  ! ʻ km-1 ޤ
    real , intent(out)  :: alpha(1:km)            ! ַ(=0Ǥϡ)
    real , intent(out)  :: beta(0:km-1)           ! ַ(=1Ǥϡ)
    
    integer                :: j                      ! do ѿ


    !  ʻҴֳ֤
    ! 
    
    delta_zk_j(0)  = (zk(1)  - zk(0))/2          !j = 0 ΤȤ
    delta_zk_j(km) = (zk(km) - zk(km-1))/2       
    
    delta_zk_j1_2(0) = zk(1) - zk(0)

    do j = 1, km-1 
       delta_zk_j(j) = (zk(j+1) - zk(j-1))/2    ! ʻǤγʻҴֳ
       delta_zk_j1_2(j) = zk(j+1) - zk(j)       ! ȾʻǤγʻҴֳ
    end do

    ! ַ
    
    alpha(km) =  (zk(km) + zk(km-1))/delta_zk_j(km)
    beta(0)   = (zk(1) - zk(0))/delta_zk_j(0)

    do j = 1, km-1
       alpha(j) = (zk(j) + zk(j-1))/delta_zk_j(j)
       beta(j)  = (zk(j+1) - zk(j))/delta_zk_j(j)
    end do
  end subroutine get_zeta_hensu



end module common_variable_4

